interface TokenData {
  exp: number;
  iat: number;
  auth_time: number;
  jti: string;
  iss: string;
  aud: string[];
  sub: string;
  typ: string;
  azp: string;
  nonce: string;
  session_state: string;
  acr: string;
  'allowed-origins': string[];
  realm_access: Realmaccess;
  resource_access: Resourceaccess;
  scope: string;
  sid: string;
  email_verified: boolean;
  name: string;
  preferred_username: string;
  given_name: string;
  family_name: string;
  email: string;
}

interface Resourceaccess {
  'realm-management': Realmaccess;
  jurnal: Realmaccess;
  broker: Realmaccess;
  account: Realmaccess;
  'microfrontend-admin': Realmaccess
}

interface Realmaccess {
  roles: string[];
}

export interface UserData extends TokenData {
  sub: string;
  gravatar: string;
  email_verified: boolean;
  attributes: Record<string, string[]>
  name: string;
  preferred_username: string;
  given_name: string;
  family_name: string;
  email: string;
}
