import { configureStore } from '@reduxjs/toolkit';

import { api } from './api/api';
import { userSlice } from './slices/user';

export const createStore= (preloadedState = {}) => configureStore({
  preloadedState,
    reducer: {
        [api.reducerPath]: api.reducer,
        [userSlice.name]: userSlice.reducer
    },
    middleware: getDefaultMiddleware =>
        getDefaultMiddleware().concat(api.middleware),
});

export type Store = ReturnType<ReturnType<typeof createStore>['getState']>;