import React from "react";
import ReactDom from "react-dom";

import App from "./app";
import { keycloak } from "./__data__/kc";
import { createStore } from "./__data__/store";

export default (props) => <App {...props} />;

export const mount = async (Сomponent) => {
  let user = null;
  try {
    await keycloak.init({ onLoad: "login-required" }); // 'login-required' });
    user = { ...(await keycloak.loadUserInfo()), ...keycloak.tokenParsed };
  } catch (error) {
    console.error("Failed to initialize adapter:", error);
    keycloak.login();
  }
  const store = createStore({ user });

  ReactDom.render(<Сomponent store={store} />, document.getElementById("app"));

  if (module.hot) {
    module.hot.accept("./app", () => {
      ReactDom.render(<App store={store} />, document.getElementById("app"));
    });
  }
};

export const unmount = () => {
  ReactDom.unmountComponentAtNode(document.getElementById("app"));
};
