import React, { useEffect, useState, useRef } from 'react';
import { useParams } from 'react-router-dom';
import dayjs from 'dayjs';
import QRCode from 'qrcode';

import { MainWrapper, StartWrapper, QRCanvas, LessonItem, Lessonname } from './style';

export const Lesson = () => {
  const { lessonId } = useParams();
  const canvRef = useRef(null);
  const [lesson, setLesson] = useState(null);
  useEffect(() => {
    // socket.on('lessons', data => {
    //   setLesson(data.find(lesson => lesson.id === lessonId));
    // })

    QRCode.toCanvas(canvRef.current, `${location.origin}/journal/u/${lessonId}` , function (error) {
      if (error) console.error(error)
      console.log('success!');
    })
  }, []);

  return (
    <MainWrapper>
      <StartWrapper>
        <h1>Lesson - {lesson?.name}</h1>
        <span>{dayjs(lesson?.ts).format('DD MMMM YYYYг.')}</span>

        <QRCanvas ref={canvRef} />

        <ul style={{ paddingLeft: 0 }}>
          {lesson?.padavans?.map((padavan, index) => (
            <LessonItem key={index}>
              <Lessonname>{padavan.name}</Lessonname>
            </LessonItem>
          ))}
        </ul>
      </StartWrapper>
    </MainWrapper>
  )
}
