import styled from '@emotion/styled';
import { css, keyframes } from '@emotion/react';

export const MainWrapper = styled.main`
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
`;

export const InputWrapper = styled.div`
    position: relative;
    padding: 12px;
    display: flex;
    align-items: center;

    @media screen and (max-width: 600px) {
        flex-direction: column;
    }
`;
export const InputLabel = styled.label`
    position: absolute;
    top: -8px;
    left: 24px;
    z-index: 2;
`;
export const InputElement = styled.input`
    border: 1px solid #ccc;
    padding: 12px;
    font-size: 24px;
    border-radius: 8px;
    color: #117623;
    max-width: 90vw;
`;

export const ArrowImg = styled.img`
    width: 48px;
    height: 48px;
`;

export const IconButton = styled.button`
    border: none;
    background-color: rgba(0, 0, 0, 0);
    display: flex;
    align-items: center;
    height: 100%;
`;

const reveal = keyframes`
    0% {
        transform: scale(0.1, 0.1);
    }

    100% {
        transform: scale(1);
    }
`;

export const StartWrapper = styled.div`
    animation: ${reveal} 1s ease forwards;
    /* box-shadow: 0 -2px 5px rgba(255,255,255,0.05), 0 2px 5px rgba(255,255,255,0.1); */
    width: 650px;
    height: calc(100vh - 300px);
    /* margin: 60px auto; */
    position: relative;
`;

export const Svg = styled.svg`
    position: absolute;
    top: 50%;
    left: 50%;
    transform-origin: 50% 50%;
    transform: translate(-50%, -50%);
    /* stroke-dasharray: 600; */
`;

export const LessonItem = styled.li`
  list-style: none;
  background-color: #ffffff;
  padding: 16px;
  border-radius: 12px;
  box-shadow: 2px 2px 6px #0000005c;
  margin-bottom: 12px;
`;

export const Lessonname = styled.span`
  display: inline-box;
  margin-right: 12px;
`;

export const QRCanvas = styled.canvas`
  display: block;
`;
